All Classes Functions Typedefs Enumerations Enumerator Properties Groups Pages
QDjangoScript Class Reference
Script

The QDjangoScript class provides static methods for making models scriptable. More...

`#include <QDjangoScript.h>`

## Public Member Functions

template<class T >
void | registerModel (QScriptEngine *engine)

## Static Public Member Functions

template<class T >
static void | registerModel (QScriptEngine *engine)
static void | registerWhere (QScriptEngine *engine)

## Detailed Description

The QDjangoScript class provides static methods for making models scriptable.

## Member Function Documentation

template<class T >

void QDjangoScript::registerModel | ( | QScriptEngine * | engine) |  |

Makes a QDjangoModel class available to the given QScriptEngine.

Parameters

  engine |

void QDjangoScript::registerWhere | ( | QScriptEngine * | engine) |  |

static

Makes the QDjangoWhere class available to the given QScriptEngine.

Parameters

  engine |

The documentation for this class was generated from the following files:

- QDjangoScript.h
- QDjangoScript.cpp